gstreamermm 1.10.0

Public Member Functions | Static Public Member Functions | List of all members
Gst::EventLatency Class Reference

A latency event. More...

`#include <gstreamermm/event.h>`

Inheritance diagram for Gst::EventLatency:
[legend]

## Public Member Functions
Gst::ClockTime | parse_latency () const
| Get the latency in the latency event. More...
Public Member Functions inherited from Gst::Event
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstEvent* | gobj ()
| Provides access to the underlying C instance. More...
const GstEvent* | gobj () const
| Provides access to the underlying C instance. More...
GstEvent* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| Event ()=delete
| Event (const Event&)=delete
Event& | operator= (const Event&)=delete
Gst::Structure | get_structure () const
| Access the structure of the event. More...
bool | has_name (const Glib::ustring& name) const
| Checks if event has the given name. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a event. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a event. More...
gint64 | get_running_time_offset () const
| Retrieve the accumulated running time offset of the event. More...
void | set_running_time_offset (gint64 offset)
| Set the running time offset of a event. More...
Glib::RefPtr< Gst::Event > | copy () const
| Copy the event using the event specific copy function. More...
Glib::RefPtr< Gst::Event > | create_writable ()
| Makes a writable event from the given event. More...
bool | is_downstream () const
| Check if an event can travel downstream. More...
bool | is_serialized () const
| Check if an event is serialized with the data stream. More...
bool | is_upstream () const
| Check if an event can travel upstream. More...
EventType | get_event_type () const
| Get the Gst::EventType of the event. More...
Gst::ClockTime | get_timestamp () const
| Get the Gst::ClockTime timestamp of the event. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...

## Static Public Member Functions
static Glib::RefPtr< Gst::EventLatency > | create (Gst::ClockTime latency)
| Create a new latency event. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer
Protected Member Functions inherited from Gst::Event
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)
Related Functions inherited from Gst::Event
Glib::RefPtr< Gst::Event > | wrap (GstEvent* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

A latency event.

See create() for more details.

## Member Function Documentation

## ◆ create()

static Glib::RefPtr<Gst::EventLatency> Gst::EventLatency::create | ( | Gst::ClockTime | latency | ) |
| static

Create a new latency event.

The event is sent upstream from the sinks and notifies elements that they should add an additional latency to the running time before synchronising against the clock.

The latency is mostly used in live sinks and is always expressed in the time format.

Parameters

  latency | The new latency value.

Returns
  A new Gst::Event.

## ◆ parse_latency()

Gst::ClockTime Gst::EventLatency::parse_latency | ( |  | ) | const

Get the latency in the latency event.

Returns
  The latency.